frherrer@frherrer-mac maistra-test-tool % oc describe pod jaeger-8685dd4fc8-gsppb -n istio-system
Name:             jaeger-8685dd4fc8-gsppb
Namespace:        istio-system
Priority:         0
Service Account:  jaeger-ui-proxy
Node:             fhocp412-84rg9-worker-0-xrn4g/192.168.2.19
Start Time:       Thu, 23 Feb 2023 18:09:44 +0100
Labels:           app=jaeger
                  app.kubernetes.io/component=all-in-one
                  app.kubernetes.io/instance=jaeger
                  app.kubernetes.io/managed-by=jaeger-operator
                  app.kubernetes.io/name=jaeger
                  app.kubernetes.io/part-of=jaeger
                  pod-template-hash=8685dd4fc8
Annotations:      k8s.v1.cni.cncf.io/network-status:
                    [{
                        "name": "openshift-sdn",
                        "interface": "eth0",
                        "ips": [
                            "10.128.2.119"
                        ],
                        "default": true,
                        "dns": {}
                    }]
                  k8s.v1.cni.cncf.io/networks-status:
                    [{
                        "name": "openshift-sdn",
                        "interface": "eth0",
                        "ips": [
                            "10.128.2.119"
                        ],
                        "default": true,
                        "dns": {}
                    }]
                  linkerd.io/inject: disabled
                  openshift.io/scc: restricted-v2
                  prometheus.io/port: 14269
                  prometheus.io/scrape: true
                  seccomp.security.alpha.kubernetes.io/pod: runtime/default
                  sidecar.istio.io/inject: false
Status:           Running
IP:               10.128.2.119
IPs:
  IP:           10.128.2.119
Controlled By:  ReplicaSet/jaeger-8685dd4fc8
Containers:
  jaeger:
    Container ID:  cri-o://a8338a534f19a0706142da520a417e05693473c1bd679474fcdde85a76de98d3
    Image:         registry.redhat.io/rhosdt/jaeger-all-in-one-rhel8@sha256:833b64936a1035187fef2b26c439900af33f5ad8678e117f866987801b1bfb88
    Image ID:      registry.redhat.io/rhosdt/jaeger-all-in-one-rhel8@sha256:833b64936a1035187fef2b26c439900af33f5ad8678e117f866987801b1bfb88
    Ports:         5775/UDP, 5778/TCP, 6831/UDP, 6832/UDP, 9411/TCP, 14267/TCP, 14268/TCP, 16686/TCP, 14269/TCP, 14250/TCP, 4317/TCP, 4318/TCP
    Host Ports:    0/UDP, 0/TCP, 0/UDP, 0/UDP, 0/TCP, 0/TCP, 0/TCP, 0/TCP, 0/TCP, 0/TCP, 0/TCP, 0/TCP
    Args:
      --collector.grpc.tls.cert=/etc/tls-config/tls.crt
      --collector.grpc.tls.enabled=true
      --collector.grpc.tls.key=/etc/tls-config/tls.key
      --log-level=debug
      --memory.max-traces=50000
      --query.base-path=/
      --query.ui-config=/etc/config/ui.json
      --reporter.grpc.tls.ca=/etc/pki/ca-trust/source/service-ca/service-ca.crt
      --reporter.grpc.tls.enabled=true
      --reporter.grpc.tls.server-name=jaeger-collector-headless.istio-system.svc.cluster.local
      --sampling.strategies-file=/etc/jaeger/sampling/sampling.json
    State:          Running
      Started:      Thu, 23 Feb 2023 18:09:47 +0100
    Ready:          True
    Restart Count:  0
    Requests:
      cpu:      10m
      memory:   128Mi
    Liveness:   http-get http://:14269/ delay=5s timeout=1s period=15s #success=1 #failure=5
    Readiness:  http-get http://:14269/ delay=1s timeout=1s period=10s #success=1 #failure=3
    Environment:
      SPAN_STORAGE_TYPE:           memory
      METRICS_STORAGE_TYPE:
      COLLECTOR_ZIPKIN_HOST_PORT:  :9411
      JAEGER_DISABLED:             false
      COLLECTOR_OTLP_ENABLED:      true
    Mounts:
      /etc/config from jaeger-ui-configuration-volume (ro)
      /etc/jaeger/sampling from jaeger-sampling-configuration-volume (ro)
      /etc/pki/ca-trust/extracted/pem/ from trusted-ca-bundle (ro)
      /etc/pki/ca-trust/source/service-ca from jaeger-service-ca (ro)
      /etc/proxy/htpasswd from secret-htpasswd (rw)
      /etc/tls-config from jaeger-collector-tls-config-volume (ro)
      /var/run/secrets/kubernetes.io/serviceaccount from kube-api-access-x857x (ro)
  oauth-proxy:
    Container ID:  cri-o://96a8f62f37c44c0b795fbb6d4d55c802fa2522c4e78f1c65952dbc913ef6aada
    Image:         quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:f968922564c3eea1c69d6bbe529d8970784d6cae8935afaf674d9fa7c0f72ea3
    Image ID:      quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:f968922564c3eea1c69d6bbe529d8970784d6cae8935afaf674d9fa7c0f72ea3
    Port:          8443/TCP
    Host Port:     0/TCP
    Args:
      --cookie-secret=6EizjUiwearH7V65O2BNLA==
      --display-htpasswd-form=false
      --htpasswd-file=/etc/proxy/htpasswd/auth
      --https-address=:8443
      --openshift-sar={"namespace": "istio-system", "resource": "pods", "verb": "get"}
      --openshift-service-account=jaeger-ui-proxy
      --provider=openshift
      --tls-cert=/etc/tls/private/tls.crt
      --tls-key=/etc/tls/private/tls.key
      --upstream=http://localhost:16686
    State:          Running
      Started:      Thu, 23 Feb 2023 18:09:47 +0100
    Ready:          True
    Restart Count:  0
    Requests:
      cpu:        10m
      memory:     128Mi
    Environment:  <none>
    Mounts:
      /etc/pki/ca-trust/extracted/pem/ from trusted-ca-bundle (ro)
      /etc/proxy/htpasswd from secret-htpasswd (rw)
      /etc/tls/private from jaeger-ui-oauth-proxy-tls (rw)
      /var/run/secrets/kubernetes.io/serviceaccount from kube-api-access-x857x (ro)
Conditions:
  Type              Status
  Initialized       True
  Ready             True
  ContainersReady   True
  PodScheduled      True
Volumes:
  secret-htpasswd:
    Type:        Secret (a volume populated by a Secret)
    SecretName:  htpasswd
    Optional:    false
  trusted-ca-bundle:
    Type:      ConfigMap (a volume populated by a ConfigMap)
    Name:      trusted-ca-bundle
    Optional:  true
  jaeger-ui-configuration-volume:
    Type:      ConfigMap (a volume populated by a ConfigMap)
    Name:      jaeger-ui-configuration
    Optional:  false
  jaeger-sampling-configuration-volume:
    Type:      ConfigMap (a volume populated by a ConfigMap)
    Name:      jaeger-sampling-configuration
    Optional:  false
  jaeger-collector-tls-config-volume:
    Type:        Secret (a volume populated by a Secret)
    SecretName:  jaeger-collector-headless-tls
    Optional:    false
  jaeger-service-ca:
    Type:      ConfigMap (a volume populated by a ConfigMap)
    Name:      jaeger-service-ca
    Optional:  false
  jaeger-ui-oauth-proxy-tls:
    Type:        Secret (a volume populated by a Secret)
    SecretName:  jaeger-ui-oauth-proxy-tls
    Optional:    false
  kube-api-access-x857x:
    Type:                    Projected (a volume that contains injected data from multiple sources)
    TokenExpirationSeconds:  3607
    ConfigMapName:           kube-root-ca.crt
    ConfigMapOptional:       <nil>
    DownwardAPI:             true
    ConfigMapName:           openshift-service-ca.crt
    ConfigMapOptional:       <nil>
QoS Class:                   Burstable
Node-Selectors:              <none>
Tolerations:                 node-role.kubernetes.io/infra=reserved:NoSchedule
                             node-role.kubernetes.io/infra=reserved:NoExecute
                             node.kubernetes.io/memory-pressure:NoSchedule op=Exists
                             node.kubernetes.io/not-ready:NoExecute op=Exists for 300s
                             node.kubernetes.io/unreachable:NoExecute op=Exists for 300s
Events:
  Type     Reason          Age   From               Message
  ----     ------          ----  ----               -------
  Normal   Scheduled       63m   default-scheduler  Successfully assigned istio-system/jaeger-8685dd4fc8-gsppb to fhocp412-84rg9-worker-0-xrn4g
  Warning  FailedMount     63m   kubelet            MountVolume.SetUp failed for volume "jaeger-ui-oauth-proxy-tls" : secret "jaeger-ui-oauth-proxy-tls" not found
  Normal   AddedInterface  63m   multus             Add eth0 [10.128.2.119/23] from openshift-sdn
  Normal   Pulled          63m   kubelet            Container image "registry.redhat.io/rhosdt/jaeger-all-in-one-rhel8@sha256:833b64936a1035187fef2b26c439900af33f5ad8678e117f866987801b1bfb88" already present on machine
  Normal   Created         63m   kubelet            Created container jaeger
  Normal   Started         63m   kubelet            Started container jaeger
  Normal   Pulled          63m   kubelet            Container image "quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:f968922564c3eea1c69d6bbe529d8970784d6cae8935afaf674d9fa7c0f72ea3" already present on machine
  Normal   Created         63m   kubelet            Created container oauth-proxy
  Normal   Started         63m   kubelet            Started container oauth-proxy